Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

使用5.3.1-5.4.0版本的无法检查更新,请更新到最新版 #297

Closed
xxf1110 opened this issue Nov 27, 2019 · 12 comments

Comments

@xxf1110
Copy link

@xxf1110 xxf1110 commented Nov 27, 2019

第一次发包 检查版本结果
qq_pic_merged_1574841791436
第二次执行热更新,绑定第一次的包,检查版本报错
qq_pic_merged_1574841513996
版本信息:
"react-native": "0.61.4"
"react-native-update": "^5.4.0"

请问是什么原因导致的吗?

@sunnylqm

This comment was marked as resolved.

Copy link
Contributor

@sunnylqm sunnylqm commented Nov 27, 2019

请列出各种版本信息,adb日志输出

@xxf1110

This comment was marked as resolved.

Copy link
Author

@xxf1110 xxf1110 commented Nov 27, 2019

image

@sunnylqm

This comment was marked as resolved.

Copy link
Contributor

@sunnylqm sunnylqm commented Nov 27, 2019

列出package.json中所有的版本信息,以及报错前后的adb日志输出

@xxf1110

This comment was marked as resolved.

Copy link
Author

@xxf1110 xxf1110 commented Nov 27, 2019

{
"name": "EasstMobile",
"version": "0.0.1",
"private": true,
"scripts": {
"android": "react-native run-android",
"ios": "react-native run-ios",
"start": "react-native start",
"test": "jest",
"lint": "eslint ."
},
"dependencies": {
"@ant-design/icons-react-native": "^1.0.2",
"@ant-design/react-native": "^3.2.0",
"@react-native-community/async-storage": "^1.6.2",
"@react-native-community/netinfo": "^4.6.0",
"axios": "^0.19.0",
"jwt-decode": "^2.2.0",
"mobx": "^5.15.0",
"mobx-react": "^6.1.4",
"react": "16.9.0",
"react-native": "0.61.4",
"react-native-elements": "^1.2.7",
"react-native-elements-input-password": "^1.0.5",
"react-native-keyboard-aware-scroll-view": "^0.9.1",
"react-native-location": "^2.5.0",
"react-native-router-flux": "^4.0.6",
"react-native-update": "^5.4.0",
"react-native-vector-icons": "^6.6.0",
"react-native-webview": "^7.5.1"
},
"devDependencies": {
"@babel/core": "^7.7.2",
"@babel/plugin-proposal-decorators": "^7.7.0",
"@babel/runtime": "^7.6.2",
"@react-native-community/eslint-config": "^0.0.5",
"babel-jest": "^24.9.0",
"eslint": "^6.5.1",
"jest": "^24.9.0",
"metro-react-native-babel-preset": "^0.56.0",
"react-test-renderer": "16.9.0"
},
"jest": {
"preset": "react-native"
}
}

没有报错,热更新日志正常

@Jasonellen

This comment was marked as resolved.

Copy link

@Jasonellen Jasonellen commented Nov 27, 2019

同问,我的项目上周还是好的,现在发布热更新也没有反应了,然后发现是检查热更新的时候就报错了。但是发布热更新绑定package的时候 都是oK的,没有报任何错误,就是 进入app没有反应
"react-native-update": "^5.4.0",
"react-native": "0.61.4",

@sunnylqm

This comment has been minimized.

Copy link
Contributor

@sunnylqm sunnylqm commented Nov 27, 2019

服务器端增加了编译时间校验,抱歉会影响到5.3.1-5.4.0的版本
请更新到5.5.1,当然之前上传的包要删掉重来

@sunnylqm sunnylqm changed the title 热更新突然失效 使用5.3.1-5.4.0版本的无法检查更新,请更新到最新版 Nov 27, 2019
@sunnylqm sunnylqm pinned this issue Nov 27, 2019
@xxf1110

This comment has been minimized.

Copy link
Author

@xxf1110 xxf1110 commented Nov 27, 2019

非常感谢,我尝试了一下,更新到5.5.1 并且重新上传新包,确实是ok的。
有没有办法引导让安装了久包的客户下载我这次重新上传的新包?

@sunnylqm

This comment has been minimized.

Copy link
Contributor

@sunnylqm sunnylqm commented Nov 27, 2019

在网页端可以给一个下载地址,你删掉之前的包之后,旧包会提示去你设置的下载地址下载

@Jasonellen

This comment has been minimized.

Copy link

@Jasonellen Jasonellen commented Nov 27, 2019

已解决 感谢 @xxf1110 @sunnylqm

@xxf1110

This comment has been minimized.

Copy link
Author

@xxf1110 xxf1110 commented Nov 27, 2019

@sunnylqm 非常感谢,已解决

@xxf1110 xxf1110 closed this Nov 27, 2019
@playscforever

This comment has been minimized.

Copy link

@playscforever playscforever commented Nov 28, 2019

。。。。诶,搞了几天

@nfq6612

This comment has been minimized.

Copy link
Contributor

@nfq6612 nfq6612 commented Dec 3, 2019

我也是还以为本地问题呢

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
5 participants
You can’t perform that action at this time.